## emoslib 000370+dfsg

=== crextables/Makefile ===
#
#                                 Makefile for  crextables
#
#
#
INSTALL_DATA= ${INSTALL} -m 644
prefix=/usr/local
datarootdir=${prefix}/share
datadir=${datarootdir}/crextables

TARGETS      = all clean install
#

FILES=		\
B000103		\
D000103		\
units.config.dat

all:  

clean:

install:
	@for i in $(FILES) ;  do                        \
                echo $(INSTALL_DATA) $$i $(datadir);   \
                $(INSTALL_DATA) $$i $(datadir);         \
        done 

.PHONY: all clean install
