=== doc/Makefile ===
#
#                                 Makefile for libemos/doc
#
#
#
INSTALL_DATA= ${INSTALL} -m 644
prefix=/usr/local
datarootdir=${prefix}/share
docdir=${datarootdir}/doc

TARGETS      = all clean install
#

FILES=

all:  

clean:

install:
	@for i in $(FILES) ;  do                        \
                echo $(INSTALL_DATA) $$i $(docdir);   \
                $(INSTALL_DATA) $$i $(docdir);         \
        done 

.PHONY: all clean install
