=== interpolation/Makefile ===
#
#                                 Makefile for libemos/interpolation
#
LIBRARY      = ../lib$(LIB)$(R64).a
#
include ../config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
include ../options/options_$(ARCH)
#
TARGETS      = all clean
#
include sources.$(ARCH)
#
OBJECTS.F    = $(SOURCES.F:.F=.o) 
OBJECTS.f    = $(SOURCES.f:.f=.o)
OBJECTS.c    = $(SOURCES.c:.c=.o)
VECTOR.o     = $(VECTOR.F:.F=.o)
NO_OPT.o     = $(NO_OPT.F:.F=.o)
OBJECTS      = $(OBJECTS.F) $(OBJECTS.f) $(VECTOR.o) $(NO_OPT.o) $(OBJECTS.c)
#
#
.PRECIOUS: $(LIBRARY)

all: $(LIBRARY)

$(LIBRARY): $(OBJECTS)
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

$(VECTOR.o): $(VECTOR.F)
	$(FC) $(VECTFFLAGS) -c $<

$(NO_OPT.o): $(NO_OPT.F)
	$(FC) $(VECTFFLAGS) -c $<

include make.dep

clean:
	\rm -f $(OBJECTS) *.f
# DO NOT DELETE

areachk.o: parim.h nifld.common nofld.common
auresol.o: parim.h nifld.common nofld.common
chkprec.o: parim.h nifld.common
clear_c.o: parim.h nifld.common nofld.common grfixed.h current.h
ddstyle.o: jparams.h parim.h nofld.common
dssarea.o: parim.h nifld.common nofld.common
fixarea.o: parim.h nifld.common nofld.common grfixed.h intf.h
freecf.o: jparam2.h
gb2gb.o: jparams.h parim.h nofld.common
getconf.o: nifld.common parim.h jparams.h
ggintrp.o: parim.h
ggrotat.o: parim.h
hgengg.o: parim.h nofld.common
hgengrd.o: parim.h
hgengrw.o: parim.h
hgenll.o: parim.h
hgenllw.o: parim.h
hgetlsm.o: parim.h nifld.common nofld.common
hirlam.o: parim.h nifld.common nofld.common
hirlamw.o: parim.h nifld.common nofld.common jparams.h
hirlsm.o: parim.h nifld.common nofld.common
hll2ll.o: parim.h
hll2llw.o: parim.h
hnei12.o: parim.h
hneill.o: parim.h
hntfap.o: parim.h nifld.common nofld.common grfixed.h intf.h
hntfaph.o: parim.h nifld.common nofld.common grfixed.h intf.h jparams.h
hntfaph.o: current.h
hntfaps.o: parim.h nifld.common nofld.common grfixed.h intf.h
hntfau.o: parim.h nifld.common nofld.common grfixed.h intf.h
hntfauh.o: parim.h nifld.common nofld.common grfixed.h intf.h jparams.h
hntfauh.o: current.h intlog.h
hntfaus.o: parim.h nifld.common nofld.common grfixed.h intf.h
hntfbu.o: parim.h nifld.common nofld.common grfixed.h intf.h
hrg2gg.o: parim.h
hrg2ggw.o: parim.h
hrg2ll.o: parim.h
hrg2llw.o: parim.h nifld.common nofld.common
hsp2gg.o: parim.h
iafree.o: parim.h memreq.h nifld.common nofld.common
iagcntl.o: parim.h nifld.common nofld.common grspace.h grfixed.h grdynam.h
iaidef.o: parim.h nifld.common
iainit.o: parim.h memreq.h nifld.common nofld.common grfixed.h
iaintgg.o: parim.h nifld.common nofld.common grfixed.h ouspace.h
iaintll.o: parim.h nifld.common nofld.common grfixed.h ouspace.h
iaogdef.o: parim.h nofld.common
iaoldef.o: parim.h nofld.common
iarcntl.o: parim.h nifld.common nofld.common grspace.h grfixed.h grdynam.h
iareset.o: parim.h nofld.common
iarmem.o: parim.h nifld.common nofld.common ouspace.h
ibasini.o: parim.h nifld.common nofld.common intf.h
igalloc.o: parim.h memreq.h
igbess.o: jparams.h parim.h
igdins.o: parim.h
igdiwe.o: parim.h
igglat.o: jparams.h parim.h
iggmem.o: parim.h nifld.common nofld.common grspace.h grfixed.h grdynam.h
iggrid.o: parim.h
igint.o: parim.h
igintr.o: parim.h
iglgrid.o: parim.h
iglrev.o: parim.h
iglsize.o: parim.h
iglsm01.o: parim.h jparams.h
iglsmb.o: parim.h nifld.common nofld.common grspace.h grfixed.h grdynam.h
iglsmd.o: parim.h
iglsmr.o: parim.h
iglsmst.o: parim.h jparams.h
ignorm.o: parim.h
igplsm.o: parim.h
igpoleg.o: parim.h nifld.common
igpolew.o: parim.h nifld.common
igprec.o: parim.h nifld.common
igscan.o: parim.h
igsetup.o: parim.h nifld.common nofld.common
igsize.o: parim.h
igtog.o: parim.h nifld.common nofld.common
igtogr.o: parim.h nifld.common nofld.common
igtran.o: parim.h
init_cm.o: parim.h nifld.common nofld.common grfixed.h current.h
insane.o: parim.h nifld.common nofld.common grfixed.h
intf.o: parim.h nifld.common nofld.common grfixed.h intf.h
intfa.o: parim.h nifld.common nofld.common grfixed.h intf.h
intfap.o: parim.h nifld.common nofld.common grfixed.h intf.h
intfau.o: parim.h nifld.common nofld.common grfixed.h intf.h
intfb.o: parim.h nifld.common nofld.common grfixed.h intf.h jparams.h
intfbp.o: parim.h nifld.common nofld.common grfixed.h intf.h
intfbu.o: parim.h nifld.common nofld.common grfixed.h intf.h
intfc.o: parim.h nifld.common nofld.common grfixed.h
intin.o: parim.h nifld.common nofld.common grfixed.h current.h
intisl.o: parim.h intisl.h nifld.common nofld.common
intlog.o: parim.h intlog.h
intlogd.o: intlog.h
intlogr.o: parim.h intlog.h
intocn.o: parim.h
intout.o: parim.h nifld.common nofld.common grfixed.h current.h
intpnum.o: grprs.h
intuvdh.o: parim.h intf.h nifld.common nofld.common
intuvf.o: parim.h nifld.common nofld.common grfixed.h intf.h
intuvgh.o: parim.h nifld.common nofld.common grfixed.h intf.h intlog.h
intuvgh.o: current.h
intuvp.o: parim.h nifld.common nofld.common grfixed.h intf.h
intuvph.o: parim.h nifld.common nofld.common grfixed.h intf.h
intuvs.o: parim.h nifld.common nofld.common grfixed.h intf.h
intuvu.o: parim.h nifld.common nofld.common grfixed.h intf.h
intuvxh.o: parim.h nifld.common nofld.common intf.h current.h
intvect.o: parim.h nifld.common nofld.common intf.h current.h
intwave.o: parim.h nifld.common nofld.common intf.h grfixed.h
irdiwe.o: parim.h
irgmem.o: parim.h nifld.common nofld.common grspace.h grfixed.h grdynam.h
irgrid.o: parim.h nifld.common
irgtog.o: parim.h nifld.common nofld.common
irint.o: parim.h
irintr.o: parim.h
irlrev.o: parim.h
irlsmb.o: parim.h nifld.common nofld.common grspace.h grfixed.h grdynam.h
irprec.o: parim.h nifld.common
irscan.o: parim.h
irsize.o: parim.h
iscrsz.o: parim.h nifld.common nofld.common grfixed.h
islproc.o: intisl.h parim.h nifld.common nofld.common
issame.o: parim.h nifld.common nofld.common grfixed.h
jacobi.o: jparams.h parim.h
jacobif.o: jparams.h parim.h
jagggp.o: jparams.h parim.h current.h nifld.common nofld.common grfixed.h
jallgp.o: jparams.h parim.h nifld.common
jallwn.o: jparams.h parim.h nifld.common
jdebug.o: jparams.h jparam2.h
jgetgg.o: parim.h nifld.common nofld.common grfixed.h intf.h rgauss_032.h
jgetgg.o: rgauss_048.h rgauss_080.h rgauss_080_19940113.h rgauss_128.h
jgetgg.o: rgauss_160.h rgauss_160_19931222.h rgauss_200.h rgauss_256.h
jgetgg.o: rgauss_320.h rgauss_400.h rgauss_512.h rgauss_1024.h
jgglat.o: jparams.h parim.h
jintgg.o: jparams.h parim.h
jintll.o: jparams.h parim.h
jjset99.o: jparams.h parim.h
jmakgg.o: jparams.h parim.h
jmakgg3.o: jparams.h parim.h
jmakll.o: jparams.h parim.h
jmakll3.o: jparams.h parim.h
jmemhan.o: jparams.h jparam2.h parim.h
jmovgg.o: jparams.h parim.h
jmovll.o: jparams.h parim.h
jmvugg.o: jparams.h parim.h
jmvull.o: jparams.h parim.h
jnorsgg.o: parim.h
jnumgg.o: jparams.h parim.h
jnumggq.o: jparams.h parim.h
jopngg.o: parim.h
jopnggf.o: parim.h jparams.h jparam2.h
jopnll.o: parim.h
jopnllf.o: parim.h jparams.h jparam2.h
jreadgg.o: jparams.h parim.h
jreadll.o: jparams.h parim.h
jsgggp.o: jparams.h parim.h current.h nifld.common nofld.common grfixed.h
jsllgp.o: jparams.h parim.h nifld.common
jspleg1.o: jparams.h
jstrll.o: jparams.h parim.h nifld.common
jstrwll.o: jparams.h parim.h nifld.common
jsymgg.o: jparams.h parim.h nifld.common
jsymll.o: jparams.h parim.h nifld.common
juvpole.o: jparams.h parim.h current.h nofld.common grfixed.h
jwindll.o: jparams.h parim.h nifld.common
jwscal.o: jparams.h
kintrg.o: intisl.h parim.h nifld.common nofld.common
knfrom4.o: intisl.h parim.h nifld.common
krg2rg.o: parim.h intisl.h nifld.common nofld.common
krg2rgu.o: parim.h intisl.h nifld.common nofld.common
lrekam.o: parim.h nofld.common
lsmfld.o: parim.h nifld.common nofld.common
makerl.o: parim.h nofld.common
mkbitmp.o: parim.h jparams.h nofld.common
mkframe.o: parim.h jparams.h
newisl.o: intisl.h parim.h
ngintrp.o: parim.h
ngrotat.o: parim.h intf.h
nmakgg.o: jparams.h parim.h
nmakll.o: jparams.h parim.h
oceanp.o: parim.h nifld.common nofld.common grspace.h grfixed.h grdynam.h
oceanp.o: intf.h
pddefs.o: parim.h nifld.common
ppallow.o: jparams.h parim.h
precip.o: parim.h nifld.common nofld.common
reset_c.o: parim.h nifld.common nofld.common grfixed.h current.h
rphi.o: jparams.h
set99.o: jparams.h
sprotat.o: parim.h
tatorgg.o: parim.h
w251idx.o: parim.h
waveidx.o: parim.h
wavexxx.o: parim.h nifld.common nofld.common grspace.h grfixed.h grdynam.h
wv2di32.o: parim.h
wv2didx.o: parim.h
wv2dint.o: parim.h
wv2dx32.o: parim.h nifld.common nofld.common grspace.h grfixed.h grdynam.h
wv2dxxx.o: parim.h nifld.common nofld.common grspace.h grfixed.h grdynam.h
wvqlidx.o: parim.h
wvqlint.o: parim.h
zprec.o: parim.h nifld.common
