## emoslib 000380+dfsg

=== Makefile ===
# Makefile for libemos
#
TARGETS = all clean
LIBRARY = libemos$(R64).a
SHELL=/bin/sh
SUBDIRS = gribex interpolation bufrdc crexdc pbio fft bufrtables


all :
	@for name in $(SUBDIRS); do\
	( echo "*************************"; \
	echo "*** Make in $$name "; \
	echo "*************************"; \
	cd $$name ; make LIB=emos; ) done

clean   :
	@for name in $(SUBDIRS); do\
	( echo "*** Clean in $$name ***" ;cd $$name ; make clean ); \
	done
	rm -f $(LIBRARY)
