## emoslib 000382+dfsg

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: cdbs, debhelper (>> 7), dh-buildinfo, gfortran, autoconf, automake
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>=8.1.3~), dh-autoreconf (>= 4), gfortran, autoconf, automake, libgrib-api-dev (>= 1.9.9~)
+Standards-Version: 3.9.2
 Homepage: http://www.ecmwf.int/products/data/software/interpolation.html
 
 Package: libemos0d
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}, libemos-data
+Pre-Depends: ${misc:Pre-Depends}
 Description: ECMWF Interpolation Library
  The Interpolation library (EMOSLIB) includes Interpolation software and GRIB, 
  BUFR, CREX encoding/decoding routines. It is used by the ECMWF meteorological 
@@ -19,6 +21,8 @@
 Package: libemos-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: foreign
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libemos0d ( = ${binary:Version}), ${misc:Depends}
 Recommends: pkg-config
 Description: ECMWF Interpolation Library - development
