=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@  --with autoreconf

DESTDIR:=`pwd`/debian/tmp/
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_clean:
	$(MAKE) ARCH=linux CNAME=_gfortran clean
	rm -f libemos* debian/libemos*.so.*
	rm -f .r64 .emos bufrdc/*.o
	find bufrtables -type l -delete

override_dh_auto_test:
	@echo "Tests not available"

override_dh_auto_build:
	( cd gribex && ln -sf ../config.h config.h )
	# First build libemos.a
	$(MAKE) ARCH=linux CNAME=_gfortran A64= R64= GRIB_API_MERGING=grib_api_merging clean all
	# Then rebuild pic for objects ...
	$(MAKE) ARCH=linux CNAME=_gfortran+pic A64= R64= GRIB_API_MERGING=grib_api_merging clean all
	# Link them into libemos.so
	$(MAKE) -f debian/build-shlib R64= DESTDIR=$(DESTDIR) LIBDIR=$(LIBDIR)
	# And repeat for 64-bit reals.
	$(MAKE) ARCH=linux CNAME=_gfortran R64=R64 A64= GRIB_API_MERGING=grib_api_merging clean all 
	$(MAKE) ARCH=linux CNAME=_gfortran+pic  R64=R64 A64= GRIB_API_MERGING=grib_api_merging clean all 
	$(MAKE) -f debian/build-shlib R64=R64 DESTDIR=$(DESTDIR) LIBDIR=$(LIBDIR)

override_dh_auto_install:
	chmod a-x examples/*/*
	mkdir -p $(DESTDIR)/$(LIBDIR)
	mv libemos* debian/libemos*.0d  $(DESTDIR)/$(LIBDIR)
	echo "" > .r64
	echo "$(DESTDIR)/usr/share/emos" > .emos
	ls bufrtables/*000* > .list/bufrtables
	mkdir -p $(DESTDIR)/usr/share/emos
	./install
	find $(DESTDIR)/usr/share -type f -exec chmod 644 {} \;
	$(MAKE) -C pkgconfig install prefix=$(DESTDIR)/usr
	# multi-arch
	dh_link -p  libemos-dev $(LIBDIR)/libemos.so.0d $(LIBDIR)/libemos.so
	dh_link -p  libemos-dev $(LIBDIR)/libemosR64.so.0d $(LIBDIR)/libemosR64.so
