## emoslib 000392%2Bdfsg.1

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,9 @@
 #
 TARGETS = all clean
 LIBRARY = libemos$(R64).a
+GRIB_API_MERGING=
 SHELL=/bin/sh
-SUBDIRS = gribex interpolation bufrdc crexdc pbio fft bufrtables
+SUBDIRS = gribex interpolation bufrdc crexdc pbio fft bufrtables $(GRIB_API_MERGING)
 
 
 all :
