=== interpolation/Makefile ===
--- 
+++ 
@@ -11,12 +11,13 @@
 #
 include sources.$(ARCH)
 #
+OBJECTS.F90  = $(SOURCES.F90:.F90=.o) 
 OBJECTS.F    = $(SOURCES.F:.F=.o) 
 OBJECTS.f    = $(SOURCES.f:.f=.o)
 OBJECTS.c    = $(SOURCES.c:.c=.o)
 VECTOR.o     = $(VECTOR.F:.F=.o)
 NO_OPT.o     = $(NO_OPT.F:.F=.o)
-OBJECTS      = $(OBJECTS.F) $(OBJECTS.f) $(VECTOR.o) $(NO_OPT.o) $(OBJECTS.c)
+OBJECTS      = $(OBJECTS.F90) $(OBJECTS.F) $(OBJECTS.f) $(VECTOR.o) $(NO_OPT.o) $(OBJECTS.c)
 #
 #
 .PRECIOUS: $(LIBRARY)
