=== examples/interpolation/Makefile ===
#
#                                 Makefile for example programs
#
PLACE = ../../
LIB = emos
#
include $(PLACE)config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
include $(PLACE)options/options_$(ARCH)
#
#
TARGETS = all clean
EXECS   = interpolation_example
#
#
all: $(EXECS)

interpolation_example: interpolation_example.o
	$(FC) $(FFLAGS) -o $@ interpolation_example.o -L$(PLACE) -l$(LIB)$(R64)

clean:
	@for name in $(EXECS) ; do\
	(rm -f $$name $$name.o $$name.f); \
	done
