## emoslib 000392+dfsg.1

=== bufrdc/Makefile ===
#
#                                 Makefile for bufrdc
#
LIBRARY = ../lib$(LIB)$(R64).a
#
include ../config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
include ../options/options_$(ARCH)
#
TARGETS      = all clean
#
include sources
#
OBJECTS.F    = $(SOURCES.F:.F=.o) 
OBJECTS.f    = $(SOURCES.f:.f=.o)
OBJECTS.c    = $(SOURCES.c:.c=.o)
OBJECTS      = $(OBJECTS.F) $(OBJECTS.f) $(OBJECTS.c)
#
#
.PRECIOUS: $(LIBRARY)

all: $(LIBRARY)

$(LIBRARY): $(OBJECTS)
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

clean:
	\rm -f $(OBJECTS)
