=== crexdc/Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 
 all: $(LIBRARY)
 
+#$(LIBRARY) : $(LIBRARY)($(OBJECTS))
 $(LIBRARY): $(OBJECTS)
 	$(AR) $(ARFLAGS) $@ $?
 	$(RANLIB) $@
