=== fft/Makefile ===
--- 
+++ 
@@ -21,9 +21,10 @@
 
 all: $(LIBRARY)
 
-$(LIBRARY): $(OBJECTS)
-	$(AR) $(ARFLAGS) $@ $?
-	$(RANLIB) $@
+	$(LIBRARY) : $(LIBRARY)($(OBJECTS))
+#$(LIBRARY): $(OBJECTS)
+	#$(AR) $(ARFLAGS) $@ $?
+	#$(RANLIB) $@
 
 clean:
 	\rm -f $(OBJECTS)
