=== grib_api_merging/Makefile ===
#
#
LIBRARY      = ../lib$(LIB)$(R64).a

GRIB_API_RELEASE = 1.9.8
GRIB_API_PATH = /usr/local/lib/metaps/lib/grib_api/$(GRIB_API_RELEASE)
GRIB_API_INC = -I$(GRIB_API_PATH)/include
#
include ../config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
#
TARGETS      = all clean
#
include sources
#
OBJECTS.o    = $(SOURCES.c:.c=.o)
OBJECTS      = $(OBJECTS.o)
#
#
.PRECIOUS: $(LIBRARY) 

all: $(LIBRARY)

$(OBJECTS.o): $(SOURCES.c)
	$(CC) $(CFLAGS) $(GRIB_API_INC) -c $(SOURCES.c)

$(LIBRARY): $(OBJECTS)
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

clean:
	\rm -f $(OBJECTS)
