=== gribex/Makefile ===
#
#                                 Makefile for libemos/gribex
#
LIBRARY      = ../lib$(LIB)$(R64).a
#
include ../config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
include ../options/options_$(ARCH)
#
TARGETS      = all clean
#
include sources.$(ARCH)
#
OBJECTS.F    = $(SOURCES.F:.F=.o) 
OBJECTS.c    = $(SOURCES.c:.c=.o)
OBJECTS      = $(OBJECTS.F) $(OBJECTS.c) 
#
#
.PRECIOUS: $(LIBRARY) 

all: $(LIBRARY)

$(LIBRARY): $(OBJECTS) $(EXTRAOBJ)
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

include make.dep

clean:
	\rm -f $(OBJECTS) *.f
