=== examples/bufr/Makefile ===
#
#                                 Makefile for example programs
#
PLACE = ../../
LIB = emos
#
include $(PLACE)config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
include $(PLACE)options/options_$(ARCH)
#
include ../../config/fortran2c$(CNAME)
#
TARGDIR  = ./
#
#
TARGETS  = all clean
EXECS    = decode_bufr decode_bufr_image bufr_decode tdexp create_bufr bufr2crex crex2bufr
#
#
all :$(EXECS)

decode_bufr: decode_bufr.o 
	$(FC) $(FFLAGS) -o $@ decode_bufr.o -L$(PLACE) -l$(LIB)$(R64)

decode_bufr_image: decode_bufr_image.o
	$(FC) $(FFLAGS) -o $@ decode_bufr_image.o -L$(PLACE) -l$(LIB)$(R64)

bufr_decode: bufr_decode.o 
	$(CC) $(CFLAGS) -o $@ bufr_decode.o -L$(PLACE) -l$(LIB)$(R64) $(FORTRAN2C)

bufr2crex   : bufr2crex.o
	$(FC) $(FFLAGS) -o $@ bufr2crex.o -L$(PLACE) -l$(LIB)$(R64)

crex2bufr   : crex2bufr.o
	$(FC) $(FFLAGS) -o $@ crex2bufr.o -L$(PLACE) -l$(LIB)$(R64)

create_bufr: create_bufr.o
	$(FC) $(FFLAGS) -o $@ create_bufr.o -L$(PLACE) -l$(LIB)$(R64)

tdexp: tdexp.o
	$(FC) $(FFLAGS) -o $@ tdexp.o -L$(PLACE) -l$(LIB)$(R64)

clean   :
	@for name in $(EXECS); do\
	(rm -f $$name *.o ); \
	done
