=== examples/crex/Makefile ===
#
#                                 Makefile for example programs
#
#
PLACE = ../../
LIB = emos
#

include $(PLACE)config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
include $(PLACE)options/options_$(ARCH)
#
#
TARGETS  = all clean
EXECS    = decode_crex create_crex crextdexp bufr2crex crex2bufr
#
#
all :$(EXECS)

decode_crex : decode_crex.o 
	$(FC) $(FFLAGS) -o $@  decode_crex.o -L$(PLACE) -l$(LIB)$(R64)

create_crex : create_crex.o
	$(FC) $(FFLAGS) -o $@ create_crex.o -L$(PLACE) -l$(LIB)$(R64)

crextdexp   : crextdexp.o
	$(FC) $(FFLAGS) -o $@ crextdexp.o -L$(PLACE) -l$(LIB)$(R64)

bufr2crex   : bufr2crex.o
	$(FC) $(FFLAGS) -o $@ bufr2crex.o -L$(PLACE) -l$(LIB)$(R64)

crex2bufr   : crex2bufr.o
	$(FC) $(FFLAGS) -o $@ crex2bufr.o -L$(PLACE) -l$(LIB)$(R64)

clean   :
	@for name in $(EXECS); do\
	(rm -f $$name *.o ); \
	done
