=== examples/fft/Makefile ===
#
#                                 Makefile for example programs
#
PLACE = ../../
LIB = emos
#
include $(PLACE)config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
include $(PLACE)options/options_$(ARCH)
#
TARGDIR  = ./
#
#
TARGETS  = all clean
EXECS    = fft
#
#
all :$(EXECS)

fft: fft.o 
	$(FC) $(FFLAGS) -o $@ fft.o -L$(PLACE) -l$(LIB)$(R64)

clean   :
	@for name in $(EXECS); do\
	(rm -f $$name *.o ); \
	done
