=== examples/gribex/Makefile ===
#
#                                 Makefile for example programs
#
LIBPATH = ../../
#
include ../../config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
include ../../options/options_$(ARCH)
#
TARGETS = all clean
EXECS   = agrdemo find_t 
#
#
all: $(EXECS)

agrdemo: agrdemo.o
	$(FC) $(FFLAGS) -o $@ agrdemo.o -L$(LIBPATH) -lemos$(R64)

find_t: find_t.o
	$(FC) $(FFLAGS) -o $@ find_t.o -L$(LIBPATH) -lemos$(R64)


clean:
	@for name in $(EXECS) ; do\
	(rm -f $$name $$name.o $$name.f); \
	done
