=== examples/interpolation_grib_api/Makefile ===
#
#                                 Makefile for example programs
#
GRIB_API=libgrib_api.a
JASPER=/usr/lib/libjasper.a
PLACE = ../../
LIBEMOS = $(PLACE)$(LIB)$(R64)
LIB = emos
#
include $(PLACE)config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
include $(PLACE)options/options_$(ARCH)
#
#
TARGETS = all clean
EXECS   = interpolation_example
#
#
all: $(EXECS)

interpolation_example: interpolation_example.o $(LIBEMOS)
	$(FC) $(FFLAGS) -o $@ interpolation_example.o $(LIBEMOS) $(GRIB_API) $(JASPER)

clean:
	@for name in $(EXECS) ; do\
	(rm -f $$name $$name.o $$name.f); \
	done
