=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>=8.1.3~), dh-autoreconf (>= 4), gfortran, autoconf, automake, libgrib-api-dev (>= 1.9.9~)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>=9), dh-autoreconf (>= 4), gfortran, autoconf, automake, libgrib-api-dev (>= 1.9.9~)
+Standards-Version: 3.9.5
 Homepage: http://www.ecmwf.int/products/data/software/interpolation.html
 
 Package: libemos0d
@@ -21,7 +21,7 @@
 Package: libemos-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: foreign
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libemos0d ( = ${binary:Version}), ${misc:Depends}
 Recommends: pkg-config
@@ -37,6 +37,7 @@
 Package: libemos-data
 Architecture: any
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Data files for the ECMWF Interpolation library
  The Interpolation library (EMOSLIB) includes Interpolation software and GRIB, 
  BUFR, CREX encoding/decoding routines. It is used by the ECMWF meteorological
