=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,11 @@
 DESTDIR:=`pwd`/debian/tmp/
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
-
+SUBDIRS=" gribex interpolation bufrdc crexdc pbio fft bufrtables grib_api_merging" 
 override_dh_auto_clean:
 	$(MAKE) ARCH=linux CNAME=_gfortran clean
 	rm -f libemos* debian/libemos*.so.*
-	rm -f .r64 .emos bufrdc/*.o
+	rm -f .r64 .emos bufrdc/*.o fft/*.o grib_api_merging/*.o
 	find bufrtables -type l -delete
 
 override_dh_auto_test:
@@ -22,14 +22,14 @@
 override_dh_auto_build:
 	( cd gribex && ln -sf ../config.h config.h )
 	# First build libemos.a
-	$(MAKE) ARCH=linux CNAME=_gfortran A64= R64= GRIB_API_MERGING=grib_api_merging clean all
+	$(MAKE) SUBDIRS=$(SUBDIRS) ARCH=linux CNAME=_gfortran A64= R64= GRIB_API_MERGING=grib_api_merging clean all
 	# Then rebuild pic for objects ...
-	$(MAKE) ARCH=linux CNAME=_gfortran+pic A64= R64= GRIB_API_MERGING=grib_api_merging clean all
+	$(MAKE) SUBDIRS=$(SUBDIRS) ARCH=linux CNAME=_gfortran+pic A64= R64= GRIB_API_MERGING=grib_api_merging clean all
 	# Link them into libemos.so
 	$(MAKE) -f debian/build-shlib R64= DESTDIR=$(DESTDIR) LIBDIR=$(LIBDIR)
 	# And repeat for 64-bit reals.
-	$(MAKE) ARCH=linux CNAME=_gfortran R64=R64 A64= GRIB_API_MERGING=grib_api_merging clean all 
-	$(MAKE) ARCH=linux CNAME=_gfortran+pic  R64=R64 A64= GRIB_API_MERGING=grib_api_merging clean all 
+	$(MAKE) SUBDIRS=$(SUBDIRS) ARCH=linux CNAME=_gfortran R64=R64 A64= GRIB_API_MERGING=grib_api_merging clean all 
+	$(MAKE) SUBDIRS=$(SUBDIRS) ARCH=linux CNAME=_gfortran+pic  R64=R64 A64= GRIB_API_MERGING=grib_api_merging clean all 
 	$(MAKE) -f debian/build-shlib R64=R64 DESTDIR=$(DESTDIR) LIBDIR=$(LIBDIR)
 
 override_dh_auto_install:
